Subscriptions
Get Subscription History
Retrieves subscription history for a customer.
Authorization
api_key api-key<token>
In: header
Query Parameters
tenantAlias*string
Merchant identifier for multi-tenant access
customer*string
Customer ID for history lookup
startDate?string
Optional start date filter
endDate?string
Optional end date filter
limit?number
Maximum number of records to return
Format
doublecursor?string
Pagination cursor
order?string
Sort order for results
Value in
"asc" | "desc"Response Body
application/json
application/json
curl -X GET "https://api.paynowpro.com/api/v1/subscriptions?tenantAlias=string&customer=string"{
"nextCursor": "string",
"data": [
{
"billing": {
"price": {
"amount": 0.1,
"currency": "afn"
},
"endDate": "string",
"startDate": "string"
},
"productName": "string",
"customerId": "string",
"id": "string"
}
]
}{
"cause": null,
"body": {
"response": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
}
},
"request": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
},
"url": "string",
"method": "string"
},
"reason": "string",
"code": 400
}
}